﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace AnonymousTypes {
  class Program {
    static void Main(string[] args) {
      var person1 = new {
                      Name = "Bertie Bott",
                      Age = 33
                    };
      var person2 = new {
                      Name = "Willie Wott",
                      Age = 57
                    };

      // person1 and person2 have the same types, albeit anonymous ones
      person1 = person2;

      var person3 = new {
                      Age = 13,
                      Name = "Peter Punter"
                    };

      // person3 is a different type, because of the different order.
      // This assignment will fail at compile time.

      person2 = person3;
    }
  }
}
