﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Linq;



namespace MyStuff
{
    public static class Extensions
    {
        public static string Concatenate(this IEnumerable<string> strings, string seperator) 
        {
            StringBuilder buffer = new StringBuilder();
            foreach (string item in strings)
            {
                buffer.Append(item);
                buffer.Append(seperator);
            }
            return buffer.ToString();
        }
    }
}

namespace ExtensionMethods
{
    using MyStuff;
        
    class Program
    {
        static void Main(string[] args)
        {
            string[] strings = { "To be or not to be", "That is the question", "Whether tis nobler" };
            string hamlet = strings.Concatenate(",");

            Console.WriteLine(hamlet);

        }
    }
}
